SingularAttributeImpl.Version (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.metamodel
Class SingularAttributeImpl.Version<X,Y>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractAttribute<X,Y>
          org.hibernate.ejb.metamodel.SingularAttributeImpl<X,Y>
              org.hibernate.ejb.metamodel.SingularAttributeImpl.Version<X,Y>

All Implemented Interfaces:
  Serializable, Attribute<X,Y>, Bindable<Y>, SingularAttribute<X,Y>, AttributeImplementor<X,Y>

Enclosing class:
  SingularAttributeImpl<X,Y>

    public static class SingularAttributeImpl.Version<X,Y>

extends SingularAttributeImpl<X,Y>

Subclass used to simply instantiation of singular attributes representing an entity's version.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.metamodel.SingularAttributeImpl
`SingularAttributeImpl.Identifier<X,Y>, SingularAttributeImpl.Version<X,Y>`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Constructor Summary
`SingularAttributeImpl.Version(String name, Class<Y> javaType, AbstractManagedType<X> declaringType, Member member, Type<Y> attributeType, Attribute.PersistentAttributeType persistentAttributeType)`

Method Summary

Methods inherited from class org.hibernate.ejb.metamodel.SingularAttributeImpl
`getBindableJavaType, getBindableType, getType, isAssociation, isCollection, isId, isOptional, isVersion`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractAttribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, readObject, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType`

Constructor Detail

### SingularAttributeImpl.Version

    public SingularAttributeImpl.Version(String name,
                                         Class<Y> javaType,
                                         AbstractManagedType<X> declaringType,
                                         Member member,
                                         Type<Y> attributeType,
                                         Attribute.PersistentAttributeType persistentAttributeType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.